parseq<-function(a)
{
# PARSEQ parses a column vector according to its incremental sequence of unchanging 
# values. Use for identifying sequential blocks of data. 
# b1: begin b2: end b3: length of data block.
# J. Laubrock, 04-10-2004
# Transformation von matlab in R by Sven Ohl 12-03-2006
# speed-up by jochen laubrock, 05-30-06
# james 6.11.06: simplified file
   la = length(a)
   diff <- a[2:la]-a[1:la-1]
   tmp <- which(diff!=0)
   b <- cbind(c(1,tmp+1), c(tmp, la))
   b <- cbind(b, b[,2]-b[,1]+1)
   return(b)
}
